/*
 ============================================================================
 Project     : 1.5+E Approximation Algorithm
 Author      : Lucas Angelo Silveira
 Universidade de Brasilia (UnB) - Brazil
 Group of Theory of Computation
 Version     : 1.0
 
 Last Modified On: May 03, 2015.
 ============================================================================
 */


#include <stdio.h>
#include <stdlib.h>
#include "Processing.c"



int main()
{
    int i,n,n2;
    FILE *filePointer;
    if ((filePointer = fopen("outapprox.txt","r")) == NULL)
    {
        printf("Attention not Found Archive*********************\n");
        
    }
    
    else
    {
        //read size of permutation
        fscanf(filePointer,"%d",&n);
        int a[n];
        int b[n];
        
        
        for(i=0; i<n; i++)
        {
            fscanf(filePointer,"%d",&a[i]);
        }
        
        fscanf(filePointer,"%d",&n2);
        for(i=0; i<n; i++)
        {
            fscanf(filePointer,"%d",&b[i]);
        }
        
        
        fclose(filePointer);
        
        
        if (is_cotail( a, b,(sizeof(a)/sizeof(int)), (sizeof(b)/sizeof(int)))) {
            
            load_genoma( a, b,(sizeof(a)/sizeof(int)), (sizeof(b)/sizeof(int)));
            printf("Approximate Solution:%d\n",distance(a, b, n));
        }
        else
        {
            printf("**************INPUT NOT COTAIL**************\n");
            
            
        }
        
        
        
    }
    
    
    
    
    
    return 0;
    
    
}
